summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorJonathan Lebon <jonathan@jlebon.com>2018-05-28 15:21:19 -0400
committerAtomic Bot <atomic-devel@projectatomic.io>2018-05-29 19:24:08 +0000
commit0f124e2584cc6bb86d870adea56654a30cfb1f13 (patch)
tree10f88448c42f2a001cd1f8fac0faf34a7f8866a8 /ci
parentf6e4543a246ede94032416795cfe473b4b8f9557 (diff)
downloadostree-0f124e2584cc6bb86d870adea56654a30cfb1f13.tar.gz
ci: Bump to f28, except flatpak
We successfully switched to F28 in rpm-ostree. Time to follow suit here. We exclude flatpak for now since we're still hitting test issues there on F28. Closes: #1601 Approved by: cgwalters
Diffstat (limited to 'ci')
-rwxr-xr-xci/build-check.sh4
-rwxr-xr-xci/fah28-insttests.sh (renamed from ci/fah27-insttests.sh)0
-rwxr-xr-xci/rpmostree.sh5
3 files changed, 7 insertions, 2 deletions
diff --git a/ci/build-check.sh b/ci/build-check.sh
index c09e9a52..ed129c74 100755
--- a/ci/build-check.sh
+++ b/ci/build-check.sh
@@ -22,11 +22,15 @@ make install
# job than gcc for vars with cleanups; perhaps in the future these could
# parallelize
if test -x /usr/bin/clang; then
+ if grep -q -e 'static inline.*_GLIB_AUTOPTR_LIST_FUNC_NAME' /usr/include/glib-2.0/glib/gmacros.h; then
+ echo 'Skipping clang check, see https://bugzilla.gnome.org/show_bug.cgi?id=796346'
+ else
# Except for clang-4.0: error: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1' [-Werror,-Wunused-command-line-argument]
export CFLAGS="-Wall -Werror -Wno-error=unused-command-line-argument ${CFLAGS:-}"
git clean -dfx && git submodule foreach git clean -dfx
export CC=clang
build
+ fi
fi
copy_out_gdtr_artifacts() {
diff --git a/ci/fah27-insttests.sh b/ci/fah28-insttests.sh
index a045cf52..a045cf52 100755
--- a/ci/fah27-insttests.sh
+++ b/ci/fah28-insttests.sh
diff --git a/ci/rpmostree.sh b/ci/rpmostree.sh
index e8189c40..f766a368 100755
--- a/ci/rpmostree.sh
+++ b/ci/rpmostree.sh
@@ -6,7 +6,7 @@ set -xeuo pipefail
# Frozen to a tag for now to help predictability; it's
# also useful to test building *older* versions since
# that must work.
-RPMOSTREE_TAG=v2017.11
+RPMOSTREE_TAG=v2018.5
dn=$(dirname $0)
. ${dn}/libpaprci/libbuild.sh
@@ -21,7 +21,7 @@ pkg_install rpm-ostree && rpm -e rpm-ostree
# Duplicate of deps from build.sh in rpm-ostree for tests
pkg_install ostree{,-devel,-grub2} createrepo_c /usr/bin/jq PyYAML \
libubsan libasan libtsan elfutils fuse sudo python-gobject-base \
- selinux-policy-devel selinux-policy-targeted
+ selinux-policy-devel selinux-policy-targeted openssh-clients ansible
# This one is in the papr.yml
pkg_install rsync
@@ -38,6 +38,7 @@ build
# We want to capture automake results
cleanup() {
mv test-suite.log ${codedir} || true
+ mv vmcheck ${codedir} || true
}
trap cleanup EXIT
make -j 8 check